Package org.apache.cxf.common.logging

# Class AbstractDelegatingLogger

java.lang.Object
java.util.logging.Logger
org.apache.cxf.common.logging.AbstractDelegatingLogger

Direct Known Subclasses:
  `Slf4jLogger`

public abstract class AbstractDelegatingLogger extends Logger
java.util.logging.Logger implementation delegating to another framework. All methods can be used except: setLevel addHandler / getHandlers setParent / getParent setUseParentHandlers / getUseParentHandlers

- ## Field Summary

  ### Fields inherited from class java.util.logging.Logger

  `global, GLOBAL_LOGGER_NAME`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractDelegatingLogger(String name, String resourceBundleName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addHandler(Handler handler)`
  `void`
  `config(String msg)`
  `protected void`
  `doLog(LogRecord lr)`
  `protected void`
  `doLog(LogRecord lr, String rbname)`
  `void`
  `entering(String sourceClass, String sourceMethod)`
  `void`
  `entering(String sourceClass, String sourceMethod, Object param1)`
  `void`
  `entering(String sourceClass, String sourceMethod, Object[] params)`
  `void`
  `exiting(String sourceClass, String sourceMethod)`
  `void`
  `exiting(String sourceClass, String sourceMethod, Object result)`
  `void`
  `fine(String msg)`
  `void`
  `finer(String msg)`
  `void`
  `finest(String msg)`
  `protected String`
  `formatMessage(LogRecord record)`
  `Handler[]`
  `getHandlers()`
  `abstract Level`
  `getLevel()`
  `Logger`
  `getParent()`
  `boolean`
  `getUseParentHandlers()`
  `void`
  `info(String msg)`
  `protected void`
  `internalLog(LogRecord record)`
  `protected abstract void`
  `internalLogFormatted(String msg, LogRecord record)`
  `boolean`
  `isLoggable(Level level)`
  `void`
  `log(Level level, String msg)`
  `void`
  `log(Level level, String msg, Object param1)`
  `void`
  `log(Level level, String msg, Object[] params)`
  `void`
  `log(Level level, String msg, Throwable thrown)`
  `void`
  `log(LogRecord record)`
  `void`
  `logp(Level level, String sourceClass, String sourceMethod, String msg)`
  `void`
  `logp(Level level, String sourceClass, String sourceMethod, String msg, Object param1)`
  `void`
  `logp(Level level, String sourceClass, String sourceMethod, String msg, Object[] params)`
  `void`
  `logp(Level level, String sourceClass, String sourceMethod, String msg, Throwable thrown)`
  `void`
  `logrb(Level level, String sourceClass, String sourceMethod, String bundleName, String msg)`
  Deprecated.
  `void`
  `logrb(Level level, String sourceClass, String sourceMethod, String bundleName, String msg, Object param1)`
  Deprecated.
  `void`
  `logrb(Level level, String sourceClass, String sourceMethod, String bundleName, String msg, Object[] params)`
  Deprecated.
  `void`
  `logrb(Level level, String sourceClass, String sourceMethod, String bundleName, String msg, Throwable thrown)`
  Deprecated.
  `void`
  `removeHandler(Handler handler)`
  `void`
  `setLevel(Level newLevel)`
  `void`
  `setParent(Logger parent)`
  `void`
  `setUseParentHandlers(boolean useParentHandlers)`
  `void`
  `severe(String msg)`
  `protected boolean`
  `supportsHandlers()`
  `void`
  `throwing(String sourceClass, String sourceMethod, Throwable thrown)`
  `void`
  `warning(String msg)`

  ### Methods inherited from class java.util.logging.Logger

  `config, fine, finer, finest, getAnonymousLogger, getAnonymousLogger, getFilter, getGlobal, getLogger, getLogger, getName, getResourceBundle, getResourceBundleName, info, log, log, logp, logp, logrb, logrb, logrb, logrb, setFilter, setResourceBundle, severe, warning`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractDelegatingLogger

    protected AbstractDelegatingLogger(String name, String resourceBundleName)

- ## Method Details

  - ### log

    public void log(LogRecord record)
    Overrides:
      `log` in class `Logger`

  - ### log

    public void log(Level level, String msg)
    Overrides:
      `log` in class `Logger`

  - ### log

    public void log(Level level, String msg, Object param1)
    Overrides:
      `log` in class `Logger`

  - ### log

    public void log(Level level, String msg, Object[] params)
    Overrides:
      `log` in class `Logger`

  - ### log

    public void log(Level level, String msg, Throwable thrown)
    Overrides:
      `log` in class `Logger`

  - ### logp

    public void logp(Level level, String sourceClass, String sourceMethod, String msg)
    Overrides:
      `logp` in class `Logger`

  - ### logp

    public void logp(Level level, String sourceClass, String sourceMethod, String msg, Object param1)
    Overrides:
      `logp` in class `Logger`

  - ### logp

    public void logp(Level level, String sourceClass, String sourceMethod, String msg, Object[] params)
    Overrides:
      `logp` in class `Logger`

  - ### logp

    public void logp(Level level, String sourceClass, String sourceMethod, String msg, Throwable thrown)
    Overrides:
      `logp` in class `Logger`

  - ### logrb

    @Deprecated public void logrb(Level level, String sourceClass, String sourceMethod, String bundleName, String msg)
    Deprecated.
    Overrides:
      `logrb` in class `Logger`

  - ### logrb

    @Deprecated public void logrb(Level level, String sourceClass, String sourceMethod, String bundleName, String msg, Object param1)
    Deprecated.
    Overrides:
      `logrb` in class `Logger`

  - ### logrb

    @Deprecated public void logrb(Level level, String sourceClass, String sourceMethod, String bundleName, String msg, Object[] params)
    Deprecated.
    Overrides:
      `logrb` in class `Logger`

  - ### logrb

    @Deprecated public void logrb(Level level, String sourceClass, String sourceMethod, String bundleName, String msg, Throwable thrown)
    Deprecated.
    Overrides:
      `logrb` in class `Logger`

  - ### entering

    public void entering(String sourceClass, String sourceMethod)
    Overrides:
      `entering` in class `Logger`

  - ### entering

    public void entering(String sourceClass, String sourceMethod, Object param1)
    Overrides:
      `entering` in class `Logger`

  - ### entering

    public void entering(String sourceClass, String sourceMethod, Object[] params)
    Overrides:
      `entering` in class `Logger`

  - ### exiting

    public void exiting(String sourceClass, String sourceMethod)
    Overrides:
      `exiting` in class `Logger`

  - ### exiting

    public void exiting(String sourceClass, String sourceMethod, Object result)
    Overrides:
      `exiting` in class `Logger`

  - ### throwing

    public void throwing(String sourceClass, String sourceMethod, Throwable thrown)
    Overrides:
      `throwing` in class `Logger`

  - ### severe

    public void severe(String msg)
    Overrides:
      `severe` in class `Logger`

  - ### warning

    public void warning(String msg)
    Overrides:
      `warning` in class `Logger`

  - ### info

    public void info(String msg)
    Overrides:
      `info` in class `Logger`

  - ### config

    public void config(String msg)
    Overrides:
      `config` in class `Logger`

  - ### fine

    public void fine(String msg)
    Overrides:
      `fine` in class `Logger`

  - ### finer

    public void finer(String msg)
    Overrides:
      `finer` in class `Logger`

  - ### finest

    public void finest(String msg)
    Overrides:
      `finest` in class `Logger`

  - ### setLevel

    public void setLevel(Level newLevel)
    Overrides:
      `setLevel` in class `Logger`

  - ### getLevel

    public abstract Level getLevel()
    Overrides:
      `getLevel` in class `Logger`

  - ### isLoggable

    public boolean isLoggable(Level level)
    Overrides:
      `isLoggable` in class `Logger`

  - ### supportsHandlers

    protected boolean supportsHandlers()

  - ### addHandler

    public void addHandler(Handler handler)
    Overrides:
      `addHandler` in class `Logger`

  - ### removeHandler

    public void removeHandler(Handler handler)
    Overrides:
      `removeHandler` in class `Logger`

  - ### getHandlers

    public Handler[] getHandlers()
    Overrides:
      `getHandlers` in class `Logger`

  - ### setUseParentHandlers

    public void setUseParentHandlers(boolean useParentHandlers)
    Overrides:
      `setUseParentHandlers` in class `Logger`

  - ### getUseParentHandlers

    public boolean getUseParentHandlers()
    Overrides:
      `getUseParentHandlers` in class `Logger`

  - ### getParent

    public Logger getParent()
    Overrides:
      `getParent` in class `Logger`

  - ### setParent

    public void setParent(Logger parent)
    Overrides:
      `setParent` in class `Logger`

  - ### doLog

    protected void doLog(LogRecord lr)

  - ### doLog

    protected void doLog(LogRecord lr, String rbname)

  - ### internalLog

    protected void internalLog(LogRecord record)

  - ### internalLogFormatted

    protected abstract void internalLogFormatted(String msg, LogRecord record)

  - ### formatMessage

    protected String formatMessage(LogRecord record)